<!DOCTYPE html>
<html lang="en">
  <head>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <meta charset="UTF-8" />
    <title>Note List</title>
  </head>
  <body>
    <p><b>Navigation:</b></p>
    <form action="/lab_4/add-note" method="get">
      <button type="submit" class="btn btn-primary">add-note</button>
    </form>
    <form action="/lab_4/note-list" method="get">
      <button type="submit" class="btn btn-primary">note-list</button>
    </form>
    <table>
      <tr>
        <th>to </th>
        <th>from </th>
        <th>title </th>
        <th>message </th>
      </tr>
      {% if notes %}
        {% for note in notes %}
          <tr>
            <td>{{note.to}}</td>
            <td>{{note.fromVar}}</td>
            <td>{{note.title}}</td>
            <td>{{note.message}}</td>
          </tr>
        {% endfor %}
      {% endif %}
    </table>
  </body>
</html>
